aboutsummaryrefslogtreecommitdiff
path: root/WindowsShit/SDL2-2.24.0/x86_64-w64-mingw32/bin/sdl2-config
diff options
context:
space:
mode:
authorArslaan Pathan <[email protected]>2025-06-11 21:06:51 +1200
committerArslaan Pathan <[email protected]>2025-06-11 21:06:51 +1200
commitaec48a5bb74bea3cdd4af6e2056e1c5fd20cdb02 (patch)
tree2a403aaff79e625dc36c84099c6ad41acac08136 /WindowsShit/SDL2-2.24.0/x86_64-w64-mingw32/bin/sdl2-config
parentdc0f9628b262b47f37ca7cdf15657f576ab71a45 (diff)
downloadshowdownofthesticks-aec48a5bb74bea3cdd4af6e2056e1c5fd20cdb02.tar.xz
showdownofthesticks-aec48a5bb74bea3cdd4af6e2056e1c5fd20cdb02.zip
Hopefully add SDL2_image, mixer, and ttf
Diffstat (limited to 'WindowsShit/SDL2-2.24.0/x86_64-w64-mingw32/bin/sdl2-config')
-rwxr-xr-xWindowsShit/SDL2-2.24.0/x86_64-w64-mingw32/bin/sdl2-config65
1 files changed, 65 insertions, 0 deletions
diff --git a/WindowsShit/SDL2-2.24.0/x86_64-w64-mingw32/bin/sdl2-config b/WindowsShit/SDL2-2.24.0/x86_64-w64-mingw32/bin/sdl2-config
new file mode 100755
index 0000000..059ba35
--- /dev/null
+++ b/WindowsShit/SDL2-2.24.0/x86_64-w64-mingw32/bin/sdl2-config
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Get the canonical path of the folder containing this script
+bindir=$(cd -P -- "$(dirname -- "$0")" && printf '%s\n' "$(pwd -P)")
+
+# Calculate the canonical path of the prefix, relative to the folder of this script
+prefix=$(cd -P -- "$bindir/.." && printf '%s\n' "$(pwd -P)")
+exec_prefix=${prefix}
+exec_prefix_set=no
+libdir=${exec_prefix}/lib
+
+#usage="\
+#Usage: $0 [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--cflags] [--libs]"
+usage="\
+Usage: $0 [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--cflags] [--libs] [--static-libs]"
+
+if test $# -eq 0; then
+ echo "${usage}" 1>&2
+ exit 1
+fi
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case $1 in
+ --prefix=*)
+ prefix=$optarg
+ if test $exec_prefix_set = no ; then
+ exec_prefix=$optarg
+ fi
+ ;;
+ --prefix)
+ echo $prefix
+ ;;
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ exec_prefix_set=yes
+ ;;
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+ --version)
+ echo 2.24.0
+ ;;
+ --cflags)
+ echo -I${prefix}/include/SDL2 -Dmain=SDL_main
+ ;;
+ --libs)
+ echo -L${exec_prefix}/lib -lmingw32 -lSDL2main -lSDL2 -mwindows
+ ;;
+ --static-libs)
+# --libs|--static-libs)
+ sdl_static_libs=$(echo "-lmingw32 -lSDL2main -lSDL2 -mwindows -Wl,--dynamicbase -Wl,--nxcompat -Wl,--high-entropy-va -lm -ldinput8 -ldxguid -ldxerr8 -luser32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 -lshell32 -lsetupapi -lversion -luuid" | sed -E "s#-lSDL2[ $]#$libdir/libSDL2.a #g")
+ echo -L${exec_prefix}/lib $sdl_static_libs
+ ;;
+ *)
+ echo "${usage}" 1>&2
+ exit 1
+ ;;
+ esac
+ shift
+done